Package: groovy.org.codenarc.rule.junit

## [Groovy] Class JUnitPublicPropertyRule

- groovy.org.codenarc.rule.junit.JUnitPublicPropertyRule

- Checks for public properties defined on JUnit test classes. There should typically be no need to expose a public property on a test class.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToClassNames`
    `Class` | `astVisitorClass`
    `String` | `ignorePropertyNames`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToClassNames

    - #### Class astVisitorClass

    - #### String ignorePropertyNames

    - #### String name

    - #### int priority